
QGIS Application - Bug report #21820

after merging selected features, which appears successful; edits will not save/commit

2019-04-10 10:45 AM - Leanne Farrell

Status: Feedback

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.6 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29635

Description

after digitising new polygons into an existing dataset i want to merge two to make a multipart polygon. This appears successful until I try to

commit the changes and get the error

_Could not commit changes to layer XXX

Errors: ERROR: 1 feature(s) not added - geometry type is not compatible with the current layer._

I have used an alternative GIS to merge and commit this fine and have previously used these tools fine. I updated my QGIS version last

week to QGIS version 3.4.6-Madeira

History

#1 - 2019-04-10 05:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Editing to Digitising

Please attach sample data.

#2 - 2019-04-11 11:52 AM - Leanne Farrell

- File TEST_TAB.zip added

Sample uploaded - thanks

I have noted that it is TAB format that won't commit - this was the format of my source data I was working with.

SHP was fine after I did further testing since logging the bug - so do I just rule out that it's the format? Or should QGIS support TAB?

#3 - 2019-04-11 10:18 PM - Giovanni Manghi

- Operating System deleted (Windows)

QGIS (so also OGR I think) see it as

Geometry

Polygon (Polygon)

so it is expected it does not accept multi-geometries.
Did it worked in a different way in previous qgis releases?

Files

TEST_TAB.zip 9.03 KB 2019-04-11 Leanne Farrell
